"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request = require("request-promise-native");
function esGet(url, settings, requestOpts, credentials) {
    return networkCall("get", url, settings, requestOpts, credentials);
}
exports.esGet = esGet;
function esPut(url, settings, requestOpts, credentials) {
    return networkCall("put", url, settings, requestOpts, credentials);
}
exports.esPut = esPut;
function esPost(url, settings, requestOpts, credentials) {
    return networkCall("post", url, settings, requestOpts, credentials);
}
exports.esPost = esPost;
function networkCall(requestFunc, url, settings, requestOpts = {}, credentials = {}) {
    const headers = Object.assign({ "Content-Type": "application/json" }, requestOpts.headers);
    return Request[requestFunc](url, Object.assign(Object.assign({}, requestOpts), { headers, aws: {
            key: credentials.accessKeyId,
            secret: credentials.secretAccessKey,
            session: credentials.sessionToken,
            sign_version: 4,
            service: "es",
        }, json: settings }));
}
exports.networkCall = networkCall;
