"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProfile = (serverless, defaultProfile = undefined) => {
    var _a, _b;
    const options = ((_b = (_a = serverless.providers) === null || _a === void 0 ? void 0 : _a.aws) === null || _b === void 0 ? void 0 : _b.options) || {};
    return options.awsProfile || options["aws-profile"] || defaultProfile;
};
exports.getRegion = (serverless, defaultRegion) => getValue(serverless.service.provider, ["region"], defaultRegion);
exports.getStage = (serverless, defaultStage = "dev") => getValue(serverless.service.provider, ["stage"], defaultStage);
exports.getProviderName = (serverless, defaultName) => getValue(serverless.service.provider, ["name"], defaultName);
function getValue(obj, keys, defaultValue) {
    const checkObj = (obj || {});
    for (const key of keys) {
        if (checkObj[key] != null) {
            return checkObj[key];
        }
    }
    return defaultValue;
}
function getStackName(serverless) {
    return `${serverless.service.getServiceName()}-${serverless.service.provider.stage}`;
}
exports.getStackName = getStackName;
